/* ===== General Page ===== */
body {
    margin: 0;
    font-family: "Sour Gummy";
    background: linear-gradient(28deg,
        #ffd3fc, 
        #daeeff, 
        #fffad2,
        #e1ffe1  
    );
    background-attachment: fixed;
    color: #ffffff;
}

header {
    text-align: center;
    padding: 25px;
    background: rgb(248, 230, 255);
    backdrop-filter: blur(8px);
    border-bottom: 3px dashed rgb(195, 144, 216);
}

header h1 {
    margin: 0;
    font-size: 5vw;
    color: #ffffff;
    text-shadow: 2px 2px rgb(195, 144, 216);
}

.measure {
    text-align: center;
    color: rgb(195, 144, 216);
    text-shadow: 2px 2px rgb(255, 255, 255);
    font-size: 2vw;
    margin-top: 2%;
}

hr {
    border: none;
    height: 2px;
    width: 60vw;
    background: rgb(195, 144, 216);
    margin: 2rem auto 2rem auto;
    border-radius: 10px;
}

#map {
    margin-top: 5%;
    width: 60vw;
    height: 500px;
    border-color: white;
    border-width: 10px;
    border-style: solid;
    border-radius: 20px;
}

main {
    padding: 20px;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.city {
    margin-top: 25px;
    width: 60vw;
    padding: 12px;
    background: rgba(255, 255, 255, 0.75);
    border-radius: 20px;
    box-shadow: 0 6px 15px rgba(0,0,0,0.1);
}

h2 {
    color: #ea97a3;
    font-size: 3vw;
    text-shadow: 2px 2px #ffe8ec;
    margin-bottom: 2%;
}

main h3 {
    margin: 5px 0;
    font-size: 2vw;
    color: #ffb6c1;
    text-shadow: 2px 2px #ffe8ec;
}

main {
    font-size: 0.95rem;
}

br {
    line-height: 1.6;
}

p {
    color: #ffb6c1;
    margin: 0;
}

.seperate
{
    background:#ea97a3;
    width: 70%;
}




.cities:hover {
    transform: scale(1.02);
    transition: 0.2s ease;
    background: rgba(243, 246, 255, 0.9);
    border-radius: 20px;
}

footer {
    height: 60px;
}